( cd usr/bin ; rm -rf system-config-printer )
( cd usr/bin ; ln -sf ../sbin/system-config-printer system-config-printer )

ldconfig -r .

function install_file() {
  # $1 = File to process

  FILE="$(dirname "$1")/$(basename "$1" .new)"
  if [ ! -e "$FILE" ]
  then
    mv "$FILE.new" "$FILE"
  elif [ "$(cat "$FILE" | md5sum)" != "$(cat "$FILE.new" | md5sum)" ]
  then
    #     |--------|--------------------------------------------------|
    echo "WARNING: $FILE has been customised."
    echo "         Examine the $FILE.new file"
    echo "         and integrate any changes into the custom file."
    echo
  else
    rm -f "$FILE.new"
  fi
}

install_file etc/dbus-1/system.d/newprinternotification.conf.new

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# Warning if we're missing the rc.cups script
if [ ! -f etc/rc.d/rc.cups ]; then
	echo "You seem to be missing the /etc/rc.d/rc.cups startup script."
	echo "The cupsd daemon must be running in order to use system-config-printer."
fi;
